<img src="images/betterhexlogo.png" alt="posterdown logo" align="right" width = "25%" height="25%"/>

# IDS Mannheim CD adaptation to posterdown

<!-- badges: start -->
[![Lifecycle: experimental](https://img.shields.io/badge/lifecycle-maturing-blue.svg)](https://www.tidyverse.org/lifecycle/#maturing)
[![Build Status](https://travis-ci.com/brentthorne/posterdown.svg?branch=master)](https://travis-ci.com/brentthorne/posterdown)
[![CRAN\_Release\_Badge](http://www.r-pkg.org/badges/version-ago/posterdown)](https://CRAN.R-project.org/package=posterdown) 
[![CRAN\_Download\_Badge](https://cranlogs.r-pkg.org/badges/grand-total/posterdown)](https://cranlogs.r-pkg.org/badges/grand-total/posterdown)
[![CRAN\_Download\_Badge](https://cranlogs.r-pkg.org/badges/last-day/posterdown)](https://cranlogs.r-pkg.org/badges/last-day/posterdown)
[![CRAN\_Download\_Badge](http://cranlogs.r-pkg.org/badges/posterdown)](https://CRAN.R-project.org/package=posterdown)
<!-- badges: end -->

|   Quick Links  |
|:-------|
| [**Template Styles**](#template-styles) |
| [**Getting Started**](#getting-started) |
| [**Wiki**](https://github.com/brentthorne/posterdown/wiki) |
| [**Showcase**](https://github.com/brentthorne/posterdown/wiki/Showcase) |

## Template Styles


|  `posterdown_ids` |
|:------------------:|
| [![](https://gitlab.ids-mannheim.de/ids/posterdown/-/jobs/artifacts/master/raw/target/skeleton_optimized.svg?job=build-job)<!-- -->](./inst/rmarkdown/templates/posterdown_ids/skeleton/skeleton.Rmd) |

| `posterdown_html` | `posterdown_betterland` | `posterdown_betterport` |
|:---------------:|:---------------------:|:---------------------:|
|[![](./images/example_poster1.png)](https://brentthorne.github.io/posterdown_html_showcase/) | ![](./images/betterland_july2019-1.png)<!-- --> | ![](./images/betterposterport.png)<!-- --> |

 
## Getting Started

Install with:

```R
remotes::install_git("https://korap.ids-mannheim.de/gerrit/IDS-Mannheim/posterdown")`
```

Now add this to the YAML options of your rmarkdown (.Rmd) file:

```markdown
---
output: 
  posterdown::posterdown_ids
---
```

For further customization options please see the (currently in progress :hammer:) [wiki](https://github.com/brentthorne/posterdown/wiki)

### Additional metadata / customization for IDS version, e.g.:
```markdown
subtitle: Using RMarkdown and `posterdown::ids_poster`
contact:
    name: Marc Kupietz
    department: Digital Linguistics
    email: kupietz@ids-mannheim.de
    website: "http://korap.ids-mannheim.de/instance/icc"
    qrcode: "my_qrcode.svg"
```

For a complete example, see [skeleton.Rmd](./inst/rmarkdown/templates/posterdown_ids/skeleton/skeleton.Rmd)

## Support the original author

_Please consider supporting posterdown to ensure continued support and development for this package, as **grad school + open source developer != :dollar:.**_

**[Patreon](https://www.patreon.com/brentthorne)** - Monthly<br>
**[PayPal](https://paypal.me/brentthorne)** - Single Payment<br>
**Bitcoin**: `1KZ3zyNsxdR8NjYL9vomb9fmpkXSXvK5VR`<br>
**Ethereum**: `0x71a18c5E3300a33F1139a9eA0abc0D029E3C30F7`<br>
 **Litecoin**: `LR4usZRgjJGLAg3Tu5PSBjgUaVtdts9Wnw`

_You can also follow me (Brent Thorne) on [twitter](https://twitter.com/wbrentthorne) for upcoming features which may not be released on github._

Please feel free to give me feedback or requests for changes in the [issues](https://github.com/brentthorne/posterdown/issues) page. I am currently finishing up my Master's degree so I will have limited time to work on updating this package in the next few months but, nevertheless, I will do what I can! :smile: 
